<?php
/*
  $Id: abxListings.php,v 1.15 2006/02/21 04:25:36 auctionblox Exp $

  AuctionBlox, sell more, work less!

  http://www.auctionblox.com

  Copyright (c) 2004 AuctionBlox
*/

  if(class_exists('abxListing') === false) {

    require_once(DIR_FS_ABX_CLASSES . 'abxListing.php');

  }

  class abxListings extends abxListing {

    function getSoldItemsQuery()
    {
      return "SELECT SQL_CALC_FOUND_ROWS * from " . TABLE_ABX_LISTINGS .
             " LEFT JOIN " . TABLE_ABX_SITES . " using (auction_house_id, site) " .
             " WHERE quantity_sold > 0 AND status = 'E'";
    }

    function getUnsoldItemsQuery()
    {
      return "select SQL_CALC_FOUND_ROWS * from " . TABLE_ABX_LISTINGS .
             " LEFT JOIN " . TABLE_ABX_SITES . " using (auction_house_id, site) " .
             " WHERE quantity_sold = 0 AND status = 'E'";
    }

    function &getRelistItemsEditQuery($ids)
    {
      require_once(DIR_FS_ABX_CLASSES . 'abxItemManager.php');
      $listings = $GLOBALS['abxDatabase']->fetch_results('SELECT * from ' . TABLE_ABX_LISTINGS . ' where id in (' . implode(',',$ids) . ') order by ext_id');
      for($i = 0, $n = count($listings); $i < $n; $i++) {
        $listings[$i]['productDisplayName'] = abxItemManager::getProductNameByID($listings[$i]['app_data']);
      }
      return $listings;
    }

    function getEndedItemsQuery()
    {
      return "select SQL_CALC_FOUND_ROWS * from " . TABLE_ABX_LISTINGS .
             " LEFT JOIN " . TABLE_ABX_SITES . " using (auction_house_id, site) " .
             " WHERE status = 'E'";
    }

    function getActiveItemsQuery()
    {
      return "select SQL_CALC_FOUND_ROWS * from " . TABLE_ABX_LISTINGS .
             " LEFT JOIN " . TABLE_ABX_SITES . " using (auction_house_id, site) " .
             " WHERE status = 'A'";
    }

    function getPendingItemsQuery() {

      return "select SQL_CALC_FOUND_ROWS * from " . TABLE_ABX_LISTINGS .
             " LEFT JOIN " . TABLE_ABX_SCHEDULE_INFO . " s using (uuid)" .
             " WHERE status = 'P' and s.uuid IS NOT NULL";
    }

    function getFailedItemsQuery()
    {
      return "select SQL_CALC_FOUND_ROWS * from " . TABLE_ABX_LISTINGS .
             " where status = 'F'";
    }

    function getCancelledItemsQuery()
    {
      return "select SQL_CALC_FOUND_ROWS * from " . TABLE_ABX_LISTINGS .
             " LEFT JOIN " . TABLE_ABX_SITES . " using (auction_house_id, site) " .
             " WHERE status = 'C'";
    }

    function getAllItemsQuery()
    {
      return "select SQL_CALC_FOUND_ROWS * from " . TABLE_ABX_LISTINGS .
             " LEFT JOIN " . TABLE_ABX_SITES . " using (auction_house_id, site) " .
             " where 1";
    }

    function downloadListings($seller_id)
    {
      global $messageStack;

      $abxAPI = new abxAPI();

      $response = $abxAPI->callBySellerID('lister.downloadListings',$seller_id);

      if($response['code'] == 'success')

        $messageStack->add_session(TEXT_REQUEST_SUCCESSFULL, 'success');

      else

        $messageStack->add_session(ERROR_TEXT_REQUEST_FAILED, 'error');
    }

  }//end class
?>